#include "sdlskk_internal.h"
#include <stdio.h>

int main()
{
  char buf[1024];
  char out_buf[4098];
  
  SDLSKK_Dictionary* dict = SDLSKK_Dict_new( "test_jisyo" );
  SDLSKK_RomKanaRuleTable* table = SDLSKK_RomKanaRuleTable_new();
  SDLSKK_Context *context = SDLSKK_Context_new( dict, table );

  SDLSKK_RomKanaRuleTable_load( table, "test_rule_table" );

  for(;;){
    fgets( buf, sizeof(buf), stdin );
    switch( buf[0] ){
    case 'a':
      SDLSKK_Context_input_key( context, buf[2] );
      break;
    case 'f':
      SDLSKK_Context_input_key( context, CTRL('f') );
      break;
    case 'b':
      SDLSKK_Context_input_key( context, CTRL('b') );
      break;
    case 'h':
      SDLSKK_Context_input_key( context, CTRL('h') );
      break;
    case 'q':
      return 0;
    }
    SDLSKK_Context_get_display_str( context, out_buf, sizeof(out_buf) );
    printf( "%s :%d\n", out_buf, context->cursor_pos );
  }
}
